/* 
- Name: megamenu.js - style.css
- Version: 1.0
- Latest update: 29.01.2016.
- Author: Mario Loncarek
- Author web site: http://marioloncarek.com
*/


/* ––––––––––––––––––––––––––––––––––––––––––––––––––
Body - not related to megamenu
–––––––––––––––––––––––––––––––––––––––––––––––––– */
* {
    box-sizing: border-box;
}
.description {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
}


/* ––––––––––––––––––––––––––––––––––––––––––––––––––
Screen style's
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.menu-mobile {
    display: none;
    padding: 20px;
}
.menu-dropdown-icon {
    position: relative;
    /* min-width: 150px; */
    padding-right: 15px;
    cursor: pointer;
}
.menu-dropdown-icon::after {
    position: absolute;
	top: -12px;
	bottom: 0;
	margin: auto;
	content: "";
	vertical-align: top;
	right: 0px;
	width: 7px;
	height: 7px;
	border-top: 2px solid #000;
	border-right: 2px solid #000;
	-webkit-transform: rotate(135deg);
	transform: rotate(135deg);
    transition: transform 0.3s ease;
    } 
.menu-dropdown-icon:hover::after {
    -webkit-transform: rotate(0deg);
    transform: rotate(-45deg);
    top: -5px;
    border-top: 2px solid #0753AB;
	border-right: 2px solid #0753AB;
}
.menu > ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content:space-between;
    align-items: center;
    margin: 0 auto;
    width: 100%;
    height: 100%;
    list-style: none;
    padding: 0;
    position: relative;
    /* IF .menu position=relative  -> ul = container width, ELSE ul = 100% width */
    box-sizing: border-box;
}

.menu > ul > li {
    /*background-color: transparent;*/
    background: rgba(244, 247, 251, 0);
    text-align: center;
    font-size: 16px;
    font-weight: 500;
    margin-right: 30px;
    height: 100%;
    padding-bottom: 13px;
    display: table;
    transition: all  0.3s ease;
}
.menu > ul > li > ul {
}
nav.menu > ul > li.menu-dropdown-icon:hover > a,
nav.menu > ul > li.menu-dropdown-icon:hover > .menu-label {
    color: #0753AB;
}
.menu > ul > li > a,
.menu > ul > li > .menu-label,
.menu > ul > li > ul > li > .menu-label{
    text-decoration: none;
    height: 100%;
    display: table-cell;
    vertical-align: middle;
}
.menu > ul > li > ul {
    display: none;
    min-width: 260px;
    width: fit-content;
    position: absolute;
    z-index: 99;
    list-style: none;
    box-sizing: border-box;
    text-align: left;
    top: 30px;
    left: 0;
    padding-top: 35px;
}
.menu > ul > li > ul > li {
    list-style: none;
    position: relative;
    width: 100%;
    display: table;
/*    background: rgba(244, 247, 251, 0.8);*/
    background: #fff4e9;
    font-size: 14px;
    font-weight: 400;
}
.menu > ul > li > ul > li:first-child {
    -webkit-border-radius: 4px 4px 0 0;
	-moz-border-radius: 4px 4px 0 0;
	border-radius: 4px 4px 0 0;
    padding-top: 10px;
}
.menu > ul > li > ul > li:last-child {
    -webkit-border-radius: 0 0 4px 4px;
	-moz-border-radius: 0 0 4px 4px;
	border-radius: 0 0 4px 4px;
    padding-bottom: 10px;
}
.menu > ul > li > ul > li a,
.menu > ul > li > ul > li > .menu-label {
    display: table-cell;
    vertical-align: middle;
    height: 100%;
    padding: 10px 10px 10px 20px;
}

@media screen and (max-width : 1190px){
.menu > ul > li {
    margin-right: 20px;
    }
}
@media screen and (max-width : 1030px){
.menu > ul > li {
    margin-right: 15px;
    }
}

/* ––––––––––––––––––––––––––––––––––––––––––––––––––
Mobile style's
–––––––––––––––––––––––––––––––––––––––––––––––––– */
@media only screen and (max-width: 1024px) {
#header .menu > ul > li a:link,
#header .menu > ul > li a:hover,
#header .menu > ul > li a:visited,
#header .menu > ul > li a:active,
#header .menu-label:hover,
#header .menu-label:active,
nav.menu > ul > li.menu-dropdown-icon:hover > a,
nav.menu > ul > li.menu-dropdown-icon:hover > .menu-label {
	color:#FFF;
}
/* アイコンリセット */
.menu-dropdown-icon {
    position: relative;
    min-width: auto;
    padding-right: 0;
}
.menu-dropdown-icon::before,
.menu-dropdown-icon::after {
    position: absolute;
	top: auto;
	bottom: auto;
	margin: auto;
	content: "";
	vertical-align:baseline;
	right: auto;
	width: auto;
	height: auto;
	border-top: none;
	border-right: none;
	-webkit-transform: none;
	transform: none;
    transition: none;
    background-color: transparent;
    }
.menu-dropdown-icon:hover::before,
.menu-dropdown-icon:hover::after {
    transform: none;
    top: auto;
    border-top: none;
	border-right: none;
    -webkit-transform: none;
    transition: none;
}
/* アイコン表示 */
.menu-label::after {
    /*
    position: absolute;
	top: -12px;
	bottom: 0;
	margin: auto;
    */
	content: "";
    display: inline-block;
	right: 0px;
	width: 25px;
	height: 10px;
    background-image: url("../img/ico_arrow.svg");
    background-repeat: no-repeat;
    background-position: right center;
    background-size: 14px auto;
    transition: transform 0.3s ease;
    transform-origin: center center;
}
/*
.menu-label::after {
    transform: translateY(-50%) rotate(90deg);
    transition: transform 0.5s;
}
*/
.menu-label.on::after {
    transform: rotate(-180deg);
    margin-left: 5px;
}
.menu-mobile {
    display: block;
}
.menu > ul > li {
    width: 100%;
    float: none;
    display: block;
    height: auto;
    padding: 0;
    text-align: left;
    margin-right: 0;
    font-size: 17px;
    font-weight: 600;
}
.menu > ul > li.sub-item {
    display: inline-block;
    width: 33%;
    font-size: 16px;
}
.menu > ul > li a,
nav.menu > ul > li > .menu-label {
    /* padding: 1.2em 1.2em 1.2em 0px; */
    padding: 15px;
    width: 100%;
    display: block;
    color: #FFF;
}
.menu > ul > li > ul > li a {
    padding: 0.5em 1em;
    width: 100%;
    display: block;
    color: #FFF;
}
.menu > ul > li > ul {
    position: static;
    top: 0;
    width: 100%;
    padding-top: 0;
} 
.menu > ul > li > ul.normal-sub {
    width: 100%;
}
.menu > ul > li > ul > li {
    float: none;
    width: 100%;
    background: none;
    font-weight: 400;
}
.menu > ul > li > ul > li:first-child {
    padding-top: 0px;
}
}

@media only screen and (max-width: 640px) {
.menu-mobile {
    padding: 16px;
}
.menu > ul > li a {
        padding: 1.2em 0 1.2em 1.2em;
    }
.menu > ul > li:first-child a {
    padding: 1.2em;
}
.menu > ul > li.sub-item {
    font-size: 16px;
    }
}
